- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QStaticText Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qstatictext.h.

`#include <qstatictext.h>`

List of all members.

## Public Types
enum | PerformanceHint { ModerateCaching, AggressiveCaching }
## Public Member Functions
| QStaticText ()
| QStaticText (const QString &text)
| QStaticText (const QStaticText &other)
| ~QStaticText ()
void | setText (const QString &text)
QString | text () const
void | setTextFormat (Qt::TextFormat textFormat)
Qt::TextFormat | textFormat () const
void | setTextWidth (qreal textWidth)
qreal | textWidth () const
void | setTextOption (const QTextOption &textOption)
QTextOption | textOption () const
QSizeF | size () const
void | prepare (const QTransform &matrix=QTransform(), const QFont &font=QFont())
void | setPerformanceHint (PerformanceHint performanceHint)
PerformanceHint | performanceHint () const
QStaticText & | operator= (const QStaticText &)
bool | operator== (const QStaticText &) const
bool | operator!= (const QStaticText &) const
## Friends
class | QStaticTextPrivate

## Member Enumeration Documentation

enum PerformanceHint

Search for all occurrences

Enumerator:

  ModerateCaching | Search for all occurrences
  AggressiveCaching | Search for all occurrences

Definition at line 63 of file qstatictext.h.

                             {
            ModerateCaching,
            AggressiveCaching
        };

## Constructor & Destructor Documentation

QStaticText | ( |  | ) |

QStaticText | ( | const QString & | text | ) |

QStaticText | ( | const QStaticText & | other | ) |

~QStaticText | ( |  | ) |

## Member Function Documentation

void setText | ( | const QString & | text | ) |

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

void setTextFormat | ( | Qt::TextFormat | textFormat | ) |

Search for all occurrences

Qt::TextFormat textFormat | ( |  | ) | const

Search for all occurrences

void setTextWidth | ( | qreal | textWidth | ) |

Search for all occurrences

qreal textWidth | ( |  | ) | const

Search for all occurrences

void setTextOption | ( | const QTextOption & | textOption | ) |

Search for all occurrences

QTextOption textOption | ( |  | ) | const

Search for all occurrences

QSizeF size | ( |  | ) | const

Search for all occurrences

void prepare | ( | const QTransform & | matrix = `QTransform()`,
|  | const QFont & | font = `QFont()`
| ) |  |

Search for all occurrences

void setPerformanceHint | ( | PerformanceHint | performanceHint | ) |

Search for all occurrences

PerformanceHint performanceHint | ( |  | ) | const

Search for all occurrences

QStaticText& operator= | ( | const QStaticText & |  | ) |

bool operator== | ( | const QStaticText & |  | ) | const

bool operator!= | ( | const QStaticText & |  | ) | const

## Friends And Related Function Documentation

friend class QStaticTextPrivate `[friend]`

Search for all occurrences

Definition at line 100 of file qstatictext.h.

The documentation for this class was generated from the following file:

- QtGui/qstatictext.h

QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText
QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText QStaticText